Speech-02-Turbo - Query Task - gptproto
Speech-02-Turbo — Query Task (gptproto). GPTProto API reference.
GET
/
api
/
v3
/
predictions
/
cb9a85905ba74dbaa0dab65a2fa5313b
/
result
speech-02-turbo (query task)
curl --request GET \
--url https://api.example.com/api/v3/predictions/cb9a85905ba74dbaa0dab65a2fa5313b/resultimport requests
url = "https://api.example.com/api/v3/predictions/cb9a85905ba74dbaa0dab65a2fa5313b/result"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v3/predictions/cb9a85905ba74dbaa0dab65a2fa5313b/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Minimax’s GPTProto format for the query task API.
curl -X GET "https://gptproto.com/api/v3/predictions/cb9a85905ba74dbaa0dab65a2fa5313b/result" \
-H "Authorization: sk-***********" \
-H "Content-Type: application/json"
import requests
import json
url = "https://gptproto.com/api/v3/predictions/cb9a85905ba74dbaa0dab65a2fa5313b/result"
headers = {
"Authorization": "sk-***********",
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
result = response.json()
print(json.dumps(result, indent=2))
const url = "https://gptproto.com/api/v3/predictions/cb9a85905ba74dbaa0dab65a2fa5313b/result";
const headers = {
"Authorization": "sk-***********",
"Content-Type": "application/json"
};
fetch(url, {
method: "GET",
headers: headers
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error("Error:", error));
package main
import (
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://gptproto.com/api/v3/predictions/cb9a85905ba74dbaa0dab65a2fa5313b/result"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "sk-***********")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"status": "success",
"result": {}
}
{
"error": {
"message": "Invalid signature",
"type": "401"
}
}
{
"error": {
"message": "Insufficient balance",
"type": "403"
}
}
{
"error": {
"message": "Internal server error",
"type": "500"
}
}
{
"error": {
"message": "Input may not meet the guidelines. Please adjust and try again.",
"type": "503"
}
}
Parameters
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Authorization (Header) | string | ✅ Yes | - | Your API key in the format: sk-*********** |
task_id (Path) | string | ✅ Yes | - | The task ID returned from the generation request |
⌘I

